\ProvidesPackage{beamerthemeliag}  
\providecommand\thispdfpagelabel[1]{}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%\selectcolormodel{cmyk}
\mode<presentation>

%COLORS%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\definecolor{liag}{rgb}{0, 0.25, 0.5}
\definecolor{liagred}{rgb}{0.785, 0.015, 0.234}
\definecolor{liaggray}{rgb}{0.6, 0.6, 0.6}
\setbeamercolor{headline}{fg=liagred,bg=white}
\setbeamercolor{footline}{fg=liagred, bg=white}
\setbeamerfont{footline}{size=\large,series=\tt}
\setbeamercolor{separation line}{bg=liagred}
\setbeamercolor{title in headline}{fg=liag}
\setbeamercolor{author in headline}{fg=liag}
\setbeamercolor{institute in headline}{fg=liag}

\setbeamercolor{framesubtitle}{fg=white, bg=liag}
\setbeamercolor{author in head/foot}{fg=liag, bg=white}
\setbeamercolor{title in head/foot}{fg=liag, bg=white}

\setbeamercolor*{normal text}{fg=black, bg=liaggray}
\setbeamercolor*{block body}{bg=white,fg=black}
\setbeamercolor*{block title}{fg=white,bg=liag}
\setbeamerfont{block title}{size=\large,series=\bf}
\setbeamercolor{upper separation line head}{fg=liagred}

\setbeamercolor*{example body}{fg=gray,bg=black}
\setbeamercolor*{example text}{fg=gray,bg=black}
\setbeamercolor*{example title}{bg=orange,fg=gray}

%\setbeamercolor{alerted text}{fg=ta3gray}
%\setbeamercolor{example text}{fg=taorange}
\setbeamercolor{structure}{fg=black}

\setbeamertemplate{itemize items}[triangle]
\setbeamertemplate{navigation symbols}{}  % no navigation on a poster

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\setbeamertemplate{block begin}{
  \vskip.75ex
  \begin{beamercolorbox}[ht=3.5ex,dp=0.5ex,center,leftskip=1em,colsep*=.75ex,sep=3ex]{block title}%
    \usebeamerfont*{block title}%
    {\phantom{Gg}\insertblocktitle\strut}% phantom because of baseline problem
  \end{beamercolorbox}%
  {\ifbeamercolorempty[bg]{block body}{}{\nointerlineskip\vskip-0.5pt}}%
  \usebeamerfont{block body}%
  \begin{beamercolorbox}[leftskip=1em,colsep*=.75ex,sep=1.5ex,vmode]{block body}%
    \ifbeamercolorempty[bg]{block body}{\vskip-.25ex}{\vskip-.75ex}\vbox{}%
  }
  \setbeamertemplate{block end}{
  \end{beamercolorbox}
}
\setbeamertemplate{blocks}[rounded][shadow=true]

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\setbeamertemplate{headline}{  
  \leavevmode

  \begin{beamercolorbox}[wd=\paperwidth]{headline}
    \begin{columns}[T]
      \begin{column}{.18\paperwidth}
              \vskip8ex
              \begin{center}
                \includegraphics[width=.75\linewidth]{LIAG2010bild2}
              \end{center}
              \vskip2ex
      \end{column}
      \begin{column}{.7\paperwidth}
        \vskip4ex
       %\raggedleft
	\centering
        \usebeamercolor{title in headline}{\color{fg}\textbf{\LARGE{\inserttitle}}\\[1ex]}
        %\usebeamercolor{title in headline}{\color{fg}\textbf{\Large{\insertsubtitle}}\\[1ex]}
        \usebeamercolor{author in headline}{\color{fg}\large{\insertauthor}\\[1ex]}
        \usebeamercolor{institute in headline}{\color{fg}\large{\insertinstitute}\\[1ex]}     
      \end{column}
	\begin{column}{.12\paperwidth}
        \vskip8ex
        \begin{center}
          \includegraphics[width=.60\linewidth]{TUBerlin_Logo_rot.pdf}\\[5pt]
%           {\color{black}\footnotesize Institut f\"ur Geophysik und Geologie}
        \end{center}
        \vskip2ex
      \end{column}
\end{columns}
\vskip2ex
\end{beamercolorbox}

  \begin{beamercolorbox}[wd=\paperwidth]{lower separation line head}
    \rule{0pt}{3pt}
  \end{beamercolorbox}
}

%  \setbeamertemplate{headline}{  
%    \leavevmode
%    \begin{beamercolorbox}[sep=0.5cm,wd=.8\paperwidth]{headline}
%      \usebeamercolor{title in headline}{\raggedleft\color{fg}\textbf{\LARGE{\inserttitle}}\\[1ex]}
%      \usebeamercolor{author in headline}{\raggedleft\color{fg}\large{\insertauthor}\\[1ex]}
%      \usebeamercolor{institute in headline}{\raggedleft\color{fg}\large{\insertinstitute}\\[1ex]}     
%    \end{beamercolorbox}%
%    \begin{beamercolorbox}[wd=.2\paperwidth]{logo in headline}
%      \centering
%      \LARGE{LOGO}
%    \end{beamercolorbox}  
%}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\setbeamertemplate{footline}{
  \begin{beamercolorbox}[wd=\paperwidth]{upper separation line foot}
    \rule{0pt}{3pt}
  \end{beamercolorbox}
  
  \leavevmode%
  \begin{beamercolorbox}[ht=4ex,leftskip=1em,rightskip=1em]{author in head/foot}%
%	\texttt{Leibniz Institute for Applied Geophysics, Stilleweg 2, 30655 Hannover}\hfill
	\texttt{LIAG, Stilleweg 2, 30655 Hannover, Germany}
	\hfill\texttt{http://www.resistivity.net}
	\hfill\texttt{Thomas.Guenther@liag-hannover.de}
    \vskip1ex
  \end{beamercolorbox}
  \vskip0pt%
  \begin{beamercolorbox}[wd=\paperwidth]{lower separation line foot}
    \rule{0pt}{3pt}
  \end{beamercolorbox}
}

\usecaptiontemplate{
\small\structure{\insertcaptionname~\insertcaptionnumber:}
\insertcaption
} 

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Display a grid to help align images ... and it looks nice with this color scheme
%\beamertemplategridbackground[1cm]

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\mode<all>

% adapt height of imtemize rectangles
\setbeamertemplate{itemize items}[triangle]
%\setbeamertemplate{itemize item}{\raisebox{0.12ex}{$\blacktriangleright$}\hskip0.1em}
\setbeamertemplate{itemize subitem}{\raisebox{0.12ex}{$\triangleright$}\hskip0.1em}

% equal font sizes for all levels
\setbeamerfont{itemize/enumerate body}{size=\normalsize}
\setbeamerfont{itemize/enumerate subbody}{size=\normalsize}
\setbeamerfont{itemize/enumerate subsubbody}{size=\normalsize}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% Local Variables: 
%%% mode: latex
%%% TeX-PDF-mode: t
%%% TeX-master: "poster-surf"
%%% End: 
